Bug 1510930 (CVE-2017-14952) - CVE-2017-14952 icu: Double free in i18n/zonemeta.cpp
Summary: CVE-2017-14952 icu: Double free in i18n/zonemeta.cpp
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-14952
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1510933 1510934 1510932
Blocks: 1510936
TreeView+ depends on / blocked
 
Reported: 2017-11-08 13:06 UTC by Andrej Nemec
Modified: 2019-09-29 14:25 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-16 10:04:51 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-11-08 13:06:35 UTC
Double free in i18n/zonemeta.cpp in International Components for Unicode (ICU) for C/C++ through 59.1 allows remote attackers to execute arbitrary code via a crafted string, aka a "redundant UVector entry clean up function call" issue.

Upstream patch:

http://bugs.icu-project.org/trac/changeset/40324/trunk/icu4c/source/i18n/zonemeta.cpp

External References:

http://www.sourcebrella.com/blog/double-free-vulnerability-international-components-unicode-icu/

Comment 1 Andrej Nemec 2017-11-08 13:07:21 UTC
Created icu tracking bugs for this issue:

Affects: fedora-all [bug 1510932]


Created mingw-icu tracking bugs for this issue:

Affects: epel-7 [bug 1510934]
Affects: fedora-all [bug 1510933]

Comment 2 Stefan Cornelius 2017-11-16 10:05:06 UTC
Statement:

Red Hat Product Security has rated this issue as having Low security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.


Note You need to log in before you can comment on or make changes to this bug.